# vue-bootstrap-admin

## 文件說明

- 側邊欄設定: `src/sideMenu.js`
- SPEC: https://coda.io/d/Bootstrap-Vue-Admin_dpj0CgX7r8w/_sucJ_#_luez5

## Router 說明

#### 參數說明
- `meta.text`: 主要是給麵包屑路徑用，可以放多國語言或中文字
- `name`: 用 `.` 的方式分割其他 `router.name` 可提供給麵包屑路徑用。

【麵包屑說明】:

若有 Children 時，`name` 必須補上前一個 `router.name`。

例: `About.page404-1`，則麵包屑會取得 `About / About.page404-4`。

```
{
  path: '/about',
  name: 'About',
  meta: {
    text: 'i18n_about'
  },
  component: view('About'),
  children: [
    {
      path: 'error/page404',
      name: 'About.page404-1',
      component: view('error/Page404.vue')
    },
    {
      path: 'error/page405',
      name: 'About.page404-4',
      component: view('error/Page404.vue')
    }
  ]
}
```


## 多國語言說明
之後會加一個 google sheet 負責管理多國語言包

- 多國語言包設定: `src/i18n.js`
- 多國語言包: `src/lang`
- 繁體: `zh-TW.json`
- 簡體: `zh-CN.json`
- 命名規則: 前贅詞以 `i18n_` 命名

---

## Project setup
```
yarn install
```

### Compiles and hot-reloads for development
```
yarn serve
```

### Compiles and minifies for production
```
yarn build
```

### Run your unit tests
```
yarn test:unit
```

### Run your end-to-end tests
```
yarn test:e2e
```

### Lints and fixes files
```
yarn lint
```

### Customize configuration
See [Configuration Reference](https://cli.vuejs.org/config/).
